Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86325 - I can't select text with the mouse
Summary: I can't select text with the mouse
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ggv
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 20:35 UTC by Florin Andrei
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-10 12:18:33 UTC


Attachments (Terms of Use)

Description Florin Andrei 2003-03-19 20:35:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When i open a file in ggv, i can't select text with the mouse.
With other applications, i can mark text using the left button, then go to
another window and paste it with the middle button. ggv does not allow this; the
mouse always grabs/moves the page instead.
Take Acrobat Reader as an example. It has a "mouse grabs the page" mode, but
that can be changed to "mouse marks text" using a button in the toolbar.
Please add a similar function to ggv.

Version-Release number of selected component (if applicable):
ggv-1.99.9-5

How reproducible:
Always

Steps to Reproduce:
1.open a file in ggv
2.try to select a text with the mouse
3.
    

Actual Results:  the cursor grabs the page and moves it up/down/left/right
depending on how the mouse moves

Expected Results:  there should be a choice left to the user:
1. either grab/move the page
2. or select text
The behaviour must be configurable via the toolbar

Additional info:

Comment 1 Dan Williams 2004-11-17 18:25:30 UTC
Mass reassign to Marco.

Comment 2 Marco Pesenti Gritti 2005-01-10 12:18:18 UTC
UPSTREAM

http://bugzilla.gnome.org/show_bug.cgi?id=163551

Comment 3 Marco Pesenti Gritti 2005-01-10 12:18:33 UTC
UPSTREAM

http://bugzilla.gnome.org/show_bug.cgi?id=163551


Note You need to log in before you can comment on or make changes to this bug.